From: =?utf-8?q?David_Pr=C3=A9vot?= <david@tilapin.org>
Date: Thu, 26 Mar 2020 19:45:14 -1000
Subject: Update version

Forwarded: not-needed
---
 src/Version.php | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 src/Version.php

diff --git a/src/Version.php b/src/Version.php
new file mode 100644
index 0000000..0b295bd
--- /dev/null
+++ b/src/Version.php
@@ -0,0 +1,40 @@
+<?php
+
+declare(strict_types=1);
+
+namespace Doctrine\ORM;
+
+use function str_replace;
+use function strtolower;
+use function version_compare;
+
+/**
+ * Class to store and retrieve the version of Doctrine
+ *
+ * @deprecated 2.7 This class is being removed from the ORM and won't have any replacement
+ *
+ * @link    www.doctrine-project.org
+ */
+class Version
+{
+    /**
+     * Current Doctrine Version
+     */
+    public const VERSION = '@VERSION@';
+
+    /**
+     * Compares a Doctrine version with the current one.
+     *
+     * @param string $version Doctrine version to compare.
+     *
+     * @return int Returns -1 if older, 0 if it is the same, 1 if version
+     *             passed as argument is newer.
+     */
+    public static function compare($version)
+    {
+        $currentVersion = str_replace(' ', '', strtolower(self::VERSION));
+        $version        = str_replace(' ', '', $version);
+
+        return version_compare($version, $currentVersion);
+    }
+}
